import Vue from 'vue'
import App from './App.vue'
import "mand-mobile/components/_style/global.styl";
import "normalize.css";

import store from './store'
import router from './router'

import {Toast} from 'mand-mobile'

// 全局过滤器
import * as filters from './filters'
// register global utility filters
Object.keys(filters).forEach(key => {
    Vue.filter(key, filters[key])
})

Vue.config.productionTip = false

new Vue({
    router,
    store,
    render: h => h(App),
    mounted(){
        Toast.loading('加载中...')
        setTimeout(function () {
            Toast.hide()
        }, 300)
    },
    beforeDestroy(){
    }
}).$mount('#app')
